Cambiar Moodle de MySQL a MariaDB. Moodle puede indicar versión incorrecta de MySQL

Hace unos días hicimos una actualización del servidor donde teníamos algunos Moodle, para poder actualizar a las últimas versiones. Durante el proceso cambiamos de MYSQL a MariaDB. Debería ser completamente compatible, pero al comprobar los requisitos de la actualización desde Administración del Sitio > Servidor > Entorno y comprobarlo para versiones superiores nos indicaba que la versión de MySQL era inferior y no compatible.

¿Qué podía estar pasando? Con phpMyAdmin comprobamos que tenía la versión correcta de Mysql (MariaDB), ¿por qué no la reconocía Moodle.

Solución.

La solución es  realmente sencilla. Sólo tienes que irte por FTP al fichero de configuración de Moodle, llamado config.php (situado en la raíz de tu sitio).

En este fichero ve a la línea que pone :

$CFG->dbtype    = 'mysql';

Y cámbiala por:

$CFG->dbtype    = 'mariadb';

Salva los ficheros y vuelve a comprobarlo. Ya debería detectar la versión correcta de MySQL y dejarte actualizar.

4 comentarios en «Cambiar Moodle de MySQL a MariaDB. Moodle puede indicar versión incorrecta de MySQL»

Deja un comentario

Resumen de nuestra Política de Privacidad

  • Responsable: SmythSys IT Consulting SLNE.
  • Finalidad: Gestionar y moderar los comentarios.
  • Legitimación: Necesitas dar tu consentimiento para publicar un comentario.
  • Destinatarios: Tus datos se alojan en los servidores de OVH.
  • Derechos: Tienes derecho a acceder, rectificar, limitar y suprimir los datos en la dirección del responsable (en nuestra política de privacidad).

Time limit is exhausted. Please reload CAPTCHA.